# -*- coding: utf-8 -*-
import sys
from datacloud.dev_utils.yt.yt_utils import get_yt_client
from datacloud.stability.mini_batch_monitoring.perform import perfrom_mini_batch_monitoring
from datacloud.dev_utils.logging.logger import get_basic_logger

logger = get_basic_logger(__name__)


def main():
    yt_client = get_yt_client()
    partner_id, score_name, score_date, batch_table = sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4]
    logger.info(
        perfrom_mini_batch_monitoring(yt_client, partner_id, score_name, score_date, batch_table)
    )


if __name__ == '__main__':
    main()
